Skip to main content
Jump to: navigation, search

Difference between revisions of "Editing ETrice/Development/GettingStartedWithEtrice"

Line 2: Line 2:
 
* get the sources ([[ETrice/Development/Repository | work with GIT repository ]])  
 
* get the sources ([[ETrice/Development/Repository | work with GIT repository ]])  
 
* download the latest version of Eclipse Modeling Tools (e.g. http://eclipse.org/downloads/packages/eclipse-modeling-tools-includes-incubating-components/indigom7)
 
* download the latest version of Eclipse Modeling Tools (e.g. http://eclipse.org/downloads/packages/eclipse-modeling-tools-includes-incubating-components/indigom7)
* make sure you are using a JDK (in Eclipse: Window->Preferences->Java->Installed JREs->e.g. jdk1.6.0_24), attention: do not use jdk1.6.0_18 !
+
* make sure you are using a JDK (in Eclipse: Window->Preferences->Java->Installed JREs->e.g. jdk1.6.0_24), attention: do not use jdk1.6.0_18 or jdk1.6.0_22!
 
* check out all projects from your local GIT clone to your Workspace (with EGit plugin)
 
* check out all projects from your local GIT clone to your Workspace (with EGit plugin)
 
* build eTrice with our target platform ([[ETrice/Development/TargetPlatform | target platform ]])
 
* build eTrice with our target platform ([[ETrice/Development/TargetPlatform | target platform ]])

Revision as of 07:04, 13 May 2011

Preconditions

Getting Started

Setting up Runtime Workspace

  • start the runtime workspace: org.eclipse.etrice.core.room.ui -> eTrice-rt.launch (contextmenu -> Run As)

Back to the top